/*
 * Produto.java
 *
 * Created on 22 de Setembro de 2006, 20:47
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package exemplocomposite;

/**
 *
 * @author 203620
 */
public abstract class Componente {
    private String nome;

    public Componente(String nome)
    {
        this.nome = nome;
    }
    
    public Componente(){};
    
    public abstract Float obterPreco();

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }
    
    public abstract void adicionar(Componente p);
}
